View Issue Details

IDProjectCategoryView StatusLast Update
0026904LazarusWidgetsetpublic2014-12-02 06:00
ReporterCyraxAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 (SVN)Product Build 
Target Version1.2.8Fixed in Version1.3 (SVN) 
Summary0026904: TCheckListBox doesn't register mouse click when clicking on last item on list.
DescriptionSee summary, Steps To Reproduce and Additional Information for more info.
Steps To Reproduce1. Open attached project in Lazarus.
2. Place breakpoint inside TForm1.CheckListBox1Click method.
3. Compile and run the project.
4. Scroll down to last item ("<< 99 >>").
5. Click on it.
Additional InformationLinux arch-server 3.16.4-1-ARCH 0000001 SMP PREEMPT Mon Oct 6 08:22:27 CEST 2014 x86_64 GNU/Linux

32-bit chroot.

GTK version 2.24.24

Lazarus 1.3 r46622 FPC 2.7.1 r28884 i386-linux-gtk 2

Lazarus was built with these options: -gw2 -godwarfsets -gl -O- -OoNO -Xs- -Si- -vb -dDBG_WITH_DEBUGGER_DEBUG
TagsNo tags attached.
Fixed in Revision46633
LazTarget1.2.8
WidgetsetGTK 2
Attached Files

Activities

Cyrax

2014-10-20 15:35

reporter  

test_project.zip (1,990 bytes)

Cyrax

2014-10-20 17:17

reporter   ~0078428

Last edited: 2014-10-20 17:33

View 2 revisions

Call stack when clicking on last item in the listbox.

---

#0 WNDPROC(0xf69a1600, {MSG = 45076, WPARAM = 0, LPARAM = 0, RESULT = 0, WPARAMLO = 0, WPARAMHI = 0, LPARAMLO = 0, LPARAMHI = 0, RESULTLO = 0, RESULTHI = 0}) at include/control.inc:2112
0000001 WNDPROC(0xf69a1600, {MSG = 45076, WPARAM = 0, LPARAM = 0, RESULT = 0, WPARAMLO = 0, WPARAMHI = 0, LPARAMLO = 0, LPARAMHI = 0, RESULTLO = 0, RESULTHI = 0}) at include/wincontrol.inc:5322
0000002 PERFORM(0xf69a1600, 45076, 0, 0) at include/control.inc:1451
0000003 UPDATEMOUSECONTROL(0xf6962030, 0x0) at include/application.inc:613
0000004 DOBEFOREMOUSEMESSAGE(0xf6962030, 0x0) at include/application.inc:2037
0000005 DOBEFOREMOUSEMESSAGE(0xf69a1600) at include/control.inc:1269
0000006 WNDPROC(0xf69a1600, {MSG = 514, WPARAM = 0, LPARAM = 13762608, RESULT = 0, WPARAMLO = 0, WPARAMHI = 0, LPARAMLO = 48, LPARAMHI = 210, RESULTLO = 0, RESULTHI = 0}) at include/wincontrol.inc:5286
0000007 DELIVERMESSAGE(0xf69a1600, 0) at lclmessageglue.pas:112
0000008 DELIVERMESSAGE(0xf69a1600, 0) at gtk2/gtk2proc.inc:3618
0000009 DELIVERMOUSEUPMESSAGE(0x855c228, 0x84f1e48, 0xf69a1600) at gtk2/gtk2callback.inc:2331
0000010 GTKMOUSEBTNRELEASE(0x855c228, 0x84f1e48, 0xf69a1600) at gtk2/gtk2callback.inc:2404
0000011 ?? at :0

---

Debug output : TControl.WMLButtonUp B 0,0,351,202 69,208

Cyrax

2014-10-20 17:29

reporter   ~0078430

Last edited: 2014-10-20 17:34

View 2 revisions

Call stack when clicking on second last item in the listbox.

---

#0 TFORM1__CHECKLISTBOX1CLICK(0xf69a1600, <error reading variable>) at unit1.pas:38
0000001 CLICK(0xf69a1600) at include/control.inc:2724
0000002 CLICK(0xf69a1600) at include/customlistbox.inc:628
0000003 WMLBUTTONUP(0xf69a1600, {MSG = 514, KEYS = 0, XPOS = 68, YPOS = 191, POS = {X = 68, Y = 191}, DUMMY = 12517444, RESULT = 0}) at include/control.inc:2609
0000004 WMLBUTTONUP(0xf69a1600, {MSG = 514, KEYS = 0, XPOS = 68, YPOS = 191, POS = {X = 68, Y = 191}, DUMMY = 12517444, RESULT = 0}) at include/customlistbox.inc:318
0000005 DISPATCH(0xf69a1600, 0) at ../inc/objpas.inc:602
0000006 WNDPROC(0xf69a1600, {MSG = 514, WPARAM = 0, LPARAM = 12517444, RESULT = 0, WPARAMLO = 0, WPARAMHI = 0, LPARAMLO = 68, LPARAMHI = 191, RESULTLO = 0, RESULTHI = 0}) at include/control.inc:2112
0000007 WNDPROC(0xf69a1600, {MSG = 514, WPARAM = 0, LPARAM = 12517444, RESULT = 0, WPARAMLO = 0, WPARAMHI = 0, LPARAMLO = 68, LPARAMHI = 191, RESULTLO = 0, RESULTHI = 0}) at include/wincontrol.inc:5322
0000008 DELIVERMESSAGE(0xf69a1600, 0) at lclmessageglue.pas:112
0000009 DELIVERMESSAGE(0xf69a1600, 0) at gtk2/gtk2proc.inc:3618
0000010 DELIVERMOUSEUPMESSAGE(0x855c228, 0x85612d0, 0xf69a1600) at gtk2/gtk2callback.inc:2331
0000011 GTKMOUSEBTNRELEASE(0x855c228, 0x85612d0, 0xf69a1600) at gtk2/gtk2callback.inc:2404
0000012 ?? at :0

---

Debug output : TControl.WMLButtonUp B 0,0,351,202 70,191

Zeljan Rikalo

2014-10-21 14:27

developer   ~0078462

ClientRect of TCheckListBox is not valid.It is reduced by hscrollbar height for some reason under gtk2.

Zeljan Rikalo

2014-10-21 15:14

developer   ~0078468

Please test and close if ok.
Will be merged to 1.2.8

Issue History

Date Modified Username Field Change
2014-10-20 15:35 Cyrax New Issue
2014-10-20 15:35 Cyrax File Added: test_project.zip
2014-10-20 17:17 Cyrax Note Added: 0078428
2014-10-20 17:29 Cyrax Note Added: 0078430
2014-10-20 17:33 Cyrax Note Edited: 0078428 View Revisions
2014-10-20 17:34 Cyrax Note Edited: 0078430 View Revisions
2014-10-21 13:30 Zeljan Rikalo Assigned To => Zeljan Rikalo
2014-10-21 13:30 Zeljan Rikalo Status new => assigned
2014-10-21 14:27 Zeljan Rikalo Note Added: 0078462
2014-10-21 15:14 Zeljan Rikalo Fixed in Revision => 46633
2014-10-21 15:14 Zeljan Rikalo LazTarget => 1.2.8
2014-10-21 15:14 Zeljan Rikalo Note Added: 0078468
2014-10-21 15:14 Zeljan Rikalo Status assigned => resolved
2014-10-21 15:14 Zeljan Rikalo Fixed in Version => 1.3 (SVN)
2014-10-21 15:14 Zeljan Rikalo Resolution open => fixed
2014-10-21 15:14 Zeljan Rikalo Target Version => 1.2.8
2014-12-02 06:00 Cyrax Status resolved => closed